summaryrefslogtreecommitdiff
path: root/x11-libs/pango
diff options
context:
space:
mode:
Diffstat (limited to 'x11-libs/pango')
l---------x11-libs/pango/files1
-rw-r--r--x11-libs/pango/pango-9999.ebuild94
2 files changed, 95 insertions, 0 deletions
diff --git a/x11-libs/pango/files b/x11-libs/pango/files
new file mode 120000
index 0000000..78f78af
--- /dev/null
+++ b/x11-libs/pango/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/x11-libs/pango/files \ No newline at end of file
diff --git a/x11-libs/pango/pango-9999.ebuild b/x11-libs/pango/pango-9999.ebuild
new file mode 100644
index 0000000..33ee025
--- /dev/null
+++ b/x11-libs/pango/pango-9999.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/pango/pango-1.22.2.ebuild,v 1.1 2008/10/31 00:10:31 leio Exp $
+
+inherit eutils multilib subversion
+
+DESCRIPTION="Text rendering and layout library"
+HOMEPAGE="http://www.pango.org/"
+
+LICENSE="LGPL-2 FTL"
+SLOT="0"
+KEYWORDS=""
+IUSE="X debug doc"
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/pango/trunk"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+RDEPEND=">=dev-libs/glib-2.17.3
+ >=media-libs/fontconfig-1.0.1
+ >=media-libs/freetype-2
+ >=x11-libs/cairo-1.7.6
+ X? (
+ x11-libs/libXrender
+ x11-libs/libX11
+ x11-libs/libXft
+ )"
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.9
+ doc? (
+ >=dev-util/gtk-doc-1
+ ~app-text/docbook-xml-dtd-4.1.2
+ )
+ X? ( x11-proto/xproto )"
+
+DOCS="AUTHORS ChangeLog* NEWS README TODO*"
+
+function multilib_enabled() {
+ has_multilib_profile || ( use x86 && [ "$(get_libdir)" == "lib32" ] )
+}
+
+pkg_setup() {
+ # Do NOT build with --disable-debug/--enable-debug=no
+ if use debug ; then
+ G2CONF="${G2CONF} --enable-debug=yes"
+ fi
+
+ G2CONF="${G2CONF} $(use_with X x)"
+}
+
+src_unpack() {
+ subversion_src_unpack
+
+ # make config file location host specific so that a 32bit and 64bit pango
+ # wont fight with each other on a multilib system. Fix building for
+ # emul-linux-x86-gtklibs
+ if multilib_enabled ; then
+ epatch "${FILESDIR}/${PN}-1.2.5-lib64.patch"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ rm "${D}/etc/pango/pango.modules"
+}
+
+pkg_postinst() {
+ if [[ "${ROOT}" == "/" ]] ; then
+ einfo "Generating modules listing..."
+
+ local PANGO_CONFDIR=
+
+ if multilib_enabled ; then
+ PANGO_CONFDIR="/etc/pango/${CHOST}"
+ else
+ PANGO_CONFDIR="/etc/pango"
+ fi
+
+ mkdir -p ${PANGO_CONFDIR}
+
+ pango-querymodules > ${PANGO_CONFDIR}/pango.modules
+ fi
+}
+
+src_compile(){
+ econf\
+ $(use_enable doc gtk-doc) \
+ $(use_enable doc man) \
+ $(useq debug && echo --enable-debug=yes )
+ emake
+}